/*
 * 
 * Backpack - Skyscanner's Design System
 * 
 * Copyright 2016-2021 Skyscanner Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
export const breakpointDesktop = "80rem";
export const breakpointDesktopMargin = "1rem * 3";
export const breakpointMobile = "32rem";
export const breakpointMobileMargin = "1.5rem";
export const breakpointQueryAboveDesktop = "(min-width: 80.0625rem)";
export const breakpointQueryAboveMobile = "(min-width: 32.0625rem)";
export const breakpointQueryAboveTablet = "(min-width: 64.0625rem)";
export const breakpointQueryMobile = "(max-width: 32rem)";
export const breakpointQuerySmallMobile = "(max-width: 22.4375rem)";
export const breakpointQuerySmallTablet = "(max-width: 48rem)";
export const breakpointQuerySmallTabletOnly = "(min-width: 32.0625rem) and (max-width: 48rem)";
export const breakpointQueryTablet = "(max-width: 64rem)";
export const breakpointQueryTabletOnly = "(min-width: 32.0625rem) and (max-width: 64rem)";
export const breakpointSmallMobile = "22.4375rem";
export const breakpointSmallMobileMargin = "1rem";
export const breakpointSmallTablet = "48rem";
export const breakpointSmallTabletMargin = "1.5rem";
export const breakpointTablet = "64rem";
export const breakpointTabletMargin = "2rem";
export const breakpoints = {
breakpointDesktop,
breakpointDesktopMargin,
breakpointMobile,
breakpointMobileMargin,
breakpointQueryAboveDesktop,
breakpointQueryAboveMobile,
breakpointQueryAboveTablet,
breakpointQueryMobile,
breakpointQuerySmallMobile,
breakpointQuerySmallTablet,
breakpointQuerySmallTabletOnly,
breakpointQueryTablet,
breakpointQueryTabletOnly,
breakpointSmallMobile,
breakpointSmallMobileMargin,
breakpointSmallTablet,
breakpointSmallTabletMargin,
breakpointTablet,
breakpointTabletMargin,
};